require 'snmp'

module Members
  def self.get_members(server)
    SNMP::Manager.open(:host => server) do |manager|
      memberlist(manager)
    end
  end

  def self.memberlist(manager)
    member_mib = "1.3.6.1.4.1.12740.2.1.1.1"
    member_names_mib = "2.1.1.1.9.1"
    memberlist = []
    ifTable = SNMP::ObjectId.new(member_mib)
    next_oid = ifTable
    while next_oid.subtree_of?(ifTable)
      response = manager.get_next(next_oid)
      varbind = response.varbind_list.first
      next_oid = varbind.name
      memberlist << varbind.value.to_s if next_oid.to_s.include?(member_names_mib)
    end

    memberlist
  end

end
