require 'spec_helper'
require 'rspec/expectations'
require 'puppet/../../bin/members.rb'
require 'snmp'
include SNMP

describe 'Members' do

  it "should return member list in the array" do
    member_mib = "1.3.6.1.4.1.12740.2.1.1.1"
    member_names_mib = "2.1.1.1.9.1"
    manager = SNMP::Manager.new()
    varbind = double("varbind")
    varbind.stub(:name).and_return(ObjectId.new("1.3.6.1.4.1.12740.5.2.1.1.1.9.1"))
    varbind.stub(:value).and_return("EqlArray0")
    nextid = double("nextmib")
    nextid.stub(:varbind_list).and_return([varbind])
    manager.stub(:get_next).and_return(nextid)
    expect(Members.memberlist(manager)).to eq(["EqlArray0"])
  end
end
